=== debian/changelog ===
scribus (1.5.5+svn23928+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against libpoppler102.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Sep 2020 17:04:47 +0100

scribus (1.5.5+svn23928+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.5+svn23928+dfsg.
    + Move scripter to Python3.  Closes: #938451
  * d/control:
    + Suggest scribus-doc, not scribus-ng-doc.  Closes: #958434
    + Automatically generate the dependencies on scribus-data and scribus-doc
      based on the name of the source package.
    + Adjust dependencies for the python2→python3 move.
    + Add Build-Dependency on libpng-dev.
  * d/rules: Adjusts for the python2→python3 move.
  * d/copyright: Update.
  * Drop all poppler patches, already present upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 11 Aug 2020 11:41:15 +0200

scribus (1.5.5+dfsg-6) unstable; urgency=medium

  * Add patches from upstream to fix compatibility with poppler up to 0.86.
  * Add some lintian overrides for executable-in-usr-lib.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 26 Mar 2020 14:11:19 +0100

scribus (1.5.5+dfsg-5) unstable; urgency=low

  * Upload to unstable.
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 25 Jan 2020 15:58:46 +0100
