=== debian/changelog ===
scribus (1.5.6+dfsg-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.5.6+dfsg.
    + Fix a regression on line selection behaviour on HiDPI.  Closes: #972534
  * Add Craig Bradney's upstream signing key.
  * d/control: Bump required Qt version to >= 5.12.
  * Add patch from upstream adding the releases to appdata.xml.
  * Add patch from upstream fixing the spellcheck plugin loading.

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Set upstream metadata fields: Repository.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 14 Nov 2020 17:21:58 +0100
