## scribus 1.5.6.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -69,7 +69,7 @@
 set (VERSION_MAJOR "1")
 set (VERSION_MINOR "5")
 set (VERSION_PATCH "6")
-set (VERSION_SUFFIX "")
+set (VERSION_SUFFIX "1")
 set (VERSION ${VERSION_MAJOR})
 if (VERSION_MINOR GREATER -1)
 	set (VERSION ${VERSION}.${VERSION_MINOR})
