=== scribus/CMakeLists.txt ===
--- 
+++ 
@@ -30,12 +30,13 @@
 	${HARFBUZZ_INCLUDE_DIRS}
 )
 
+include(text/CMakeLists.txt)
+
 add_subdirectory(dtd)
 add_subdirectory(colormgmt)
 add_subdirectory(desaxe)
 add_subdirectory(fonts)
 add_subdirectory(styles)
-add_subdirectory(text)
 add_subdirectory(ui/qml)
 if(WITH_TESTS)
 	add_subdirectory(tests)
@@ -172,6 +173,7 @@
 	ui/prefs_tableofcontentsbase.ui
 	ui/prefs_documentitemattributesbase.ui
 	ui/printdialogbase.ui
+	ui/printpreviewbase.ui
 	ui/propertiespalette_groupbase.ui
 	ui/propertiespalette_imagebase.ui
 	ui/propertiespalette_linebase.ui
@@ -471,6 +473,7 @@
 	ui/prefs_tableofcontents.h
 	ui/prefs_documentitemattributes.h
 	ui/printdialog.h
+	ui/printlanguagecombo.h
 	ui/printpreview.h
 	ui/propertiespalette.h
 	ui/propertiespalette_group.h
@@ -525,6 +528,3 @@
 	ui/smcellstylewidget.h
 	ui/smcellstyle.h
 	ui/smcheckbox.h
-	ui/smcolorcombo.h
-	ui/smcstylewidget.h
-	ui/smdirectionselect.h
