=== scribus/text/CMakeLists.txt ===
set(SCRIBUS_TEXT_MOC_CLASSES
	text/storytext.h
)

set(SCRIBUS_TEXT_LIB_SOURCES
	text/boxes.cpp
	text/frect.cpp
	text/fsize.cpp
	text/glyphcluster.cpp
	text/index.cpp
	text/screenpainter.cpp
	text/scrptrun.cpp
	text/sctext_shared.cpp
	text/scworditerator.cpp
	text/shapedtext.cpp
	text/shapedtextcache.cpp
	text/shapedtextfeed.cpp
	text/specialchars.cpp
	text/storytext.cpp
	text/textlayout.cpp
	text/textlayoutpainter.cpp
	text/textshaper.cpp
	text/textcontext.cpp
)
