=== scribus/plugins/colorwheel/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(COLORWHEEL_PLUGIN_UI_SRC
	cwdialog.ui
)

set(COLORWHEEL_PLUGIN_MOC_CLASSES
	colorwheel.h
	colorwheelwidget.h
	cwdialog.h
)

set(COLORWHEEL_PLUGIN_SOURCES
	colorwheel.cpp
	colorwheelwidget.cpp
	cwdialog.cpp
)

set(SCRIBUS_COLORWHEEL_PLUGIN "colorwheel")

QT5_WRAP_UI(COLORWHEEL_PLUGIN_UI_SOURCES ${COLORWHEEL_PLUGIN_UI_SRC} )
QT5_WRAP_CPP(COLORWHEEL_PLUGIN_MOC_SOURCES ${COLORWHEEL_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_COLORWHEEL_PLUGIN} MODULE ${COLORWHEEL_PLUGIN_SOURCES} ${COLORWHEEL_PLUGIN_MOC_SOURCES} ${COLORWHEEL_PLUGIN_UI_CPP} ${COLORWHEEL_PLUGIN_UI_SOURCES})

target_link_libraries(${SCRIBUS_COLORWHEEL_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_COLORWHEEL_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(${SCRIBUS_COLORWHEEL_PLUGIN} ${EXE_NAME})

# set_target_properties(${SCRIBUS_COLORWHEEL_PLUGIN} PROPERTIES VERSION "0.0.0")
