=== scribus/plugins/gettext/CMakeLists.txt ===
#Subdirectories
add_subdirectory(csvim)
add_subdirectory(docim)
if(HAVE_XML)
  add_subdirectory(docxim)
  add_subdirectory(htmlim)
#  add_subdirectory(odtim)
  add_subdirectory(odt2im)
endif()
add_subdirectory(pdbim)
add_subdirectory(rtfim)
if(HAVE_XML)
  add_subdirectory(sxwim)
endif()
add_subdirectory(textfilter)
add_subdirectory(txtim)
add_subdirectory(xtgim)
add_subdirectory(markdownim)
