=== debian/changelog ===
scribus (1.5.6.1+dfsg-2) unstable; urgency=medium

  * Add patch from upstream to fix build with libpodofo 0.9.7.
  * d/copyright: claim copyright for 2021.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Jan 2021 16:11:02 +0100

scribus (1.5.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.6.1+dfsg.
    https://w.scribus.net/wiki/index.php/1.5.6.1_Release
  * d/copyright: Update.
  * Remove patches applied in this release.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 15 Nov 2020 17:50:47 +0100
