=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  libxml2-dev,
  libzmf-dev,
  python3-dev,
- qtbase5-dev (>= 5.11),
+ qtbase5-dev (>= 5.12),
  qttools5-dev,
  qttools5-dev-tools,
  zlib1g-dev,
